## ros-humble-ament-uncrustify 0.12.11

=== debian/changelog ===
ros-humble-ament-uncrustify (0.12.11-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-ament-uncrustify (0.12.10-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-ament-uncrustify (0.12.9-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-ament-uncrustify (0.12.8-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-ament-uncrustify (0.12.7-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 16 Jul 2023 16:00:00 -0000

ros-humble-ament-uncrustify (0.12.6-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-ament-uncrustify (0.12.5-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 11 Jan 2023 16:00:00 -0000

ros-humble-ament-uncrustify (0.12.4-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 08 May 2022 16:00:00 -0000

ros-humble-ament-uncrustify (0.12.3-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-ament-uncrustify (0.12.2-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-humble-ament-uncrustify (0.12.1-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-ament-uncrustify (0.12.0-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Feb 2022 16:00:00 -0000

ros-humble-ament-uncrustify (0.11.4-1bookworm) bookworm; urgency=high

  * Update forthcoming version in changelogs
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-ament-uncrustify (0.11.3-1bookworm) bookworm; urgency=high

  * [ament_uncrustify] Fix file exclusion behavior (#334 <https://github.com/ament/ament_lint/issues/334>)
    * [ament_uncrustify] Fix file exclusion behavior
    This PR fixes the file exclusion behavior reported in #326 <https://github.com/ament/ament_lint/issues/326>.
    Specifically, the exclusion list is matched against
    files/directories as the search path is traversed.
    Tries to maintain consistency with #327 <https://github.com/ament/ament_lint/issues/327>.
    * [ament_uncrustify] Add file exclusion tests
    * [ament_uncrustify] Remove erroneous pytest marker
  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * [ament_uncrustify] Add ament_lint tests (#338 <https://github.com/ament/ament_lint/issues/338>)
    * Add ament_lint tests on ament_uncrustify
    * Address linter warnings in ament_uncrustify
  * Contributors: Abrar Rahman Protyasha, Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-ament-uncrustify (0.11.2-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 16:00:00 -0000

ros-humble-ament-uncrustify (0.11.1-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 16:00:00 -0000

ros-humble-ament-uncrustify (0.11.0-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 16:00:00 -0000

ros-humble-ament-uncrustify (0.10.6-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 05 May 2021 16:00:00 -0000

ros-humble-ament-uncrustify (0.10.5-1bookworm) bookworm; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Apr 2021 16:00:00 -0000

ros-humble-ament-uncrustify (0.10.4-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-ament-uncrustify (0.10.3-1bookworm) bookworm; urgency=high

  * 0.10.3
  * Allow 'C++' as language, but convert it to 'CPP' (#302 <https://github.com/ament/ament_lint/issues/302>)
  * Allow correct languages on uncrustify (#272 <https://github.com/ament/ament_lint/issues/272>)
    * Allow correct languages on uncrustify.
    * Update dictionary.
  * Contributors: Audrow Nash, Miguel Company

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 02 Mar 2021 16:00:00 -0000

ros-humble-ament-uncrustify (0.10.2-1bookworm) bookworm; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Drop trailing tab from package manifests (#291 <https://github.com/ament/ament_lint/issues/291>)
    Follow-up to 8bf194aa1ac282db5483dd0d3fefff8f325b0db8
  * Contributors: Audrow Nash, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 11 Feb 2021 16:00:00 -0000

ros-humble-ament-uncrustify (0.10.1-1bookworm) bookworm; urgency=high

  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-ament-uncrustify (0.10.0-1bookworm) bookworm; urgency=high
